
QGIS Application - Bug report #1284

fonts are garbled

2008-09-04 09:04 AM - Maciej Sieczka -

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category:

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11344

Description

Debian amd64, QT 4.4.0, SVN r9254.

The old issue with fonts in map composer strikes back. See the attached screendump. The font for "Legenda" is supposedly Arial 24.

Obviously something's wrong.

History

#1 - 2008-09-04 11:43 PM - Marco Hugentobler

Seems that I have to apply Stevens font bug workaround in new composer.

#2 - 2008-09-05 12:29 AM - Maciej Sieczka -

Not sure if the same issue. Looks related though:

Sans Serif font (the default in legend, scalebar etc.) is always rendered blocky (both in the output and the composer itself), like if it was rasterized.

Changing the font to any other fixes that. Changing it back to Sans Serif brings the issue back.

#3 - 2008-09-05 08:33 AM - Marco Hugentobler

Does commit:cde4f741 (SVN r9266) fix these issues?

#4 - 2008-09-07 06:52 AM - Maciej Sieczka -

Replying to [comment:3 mhugent]:

Does commit:cde4f741 (SVN r9266) fix these issues?

Seems fixed. A new issue - I can't change the Sans Serif font size (other font properties change OK though). All other fonts chnage their size OK. Weird.

#5 - 2008-12-07 12:47 AM - Marco Hugentobler

This sounds strange. I tested with current svn head (commit:dcaaea9f (SVN r9749)) and Qt 4.4.2 and changing the sans serif font size worked. I tested

that with composer label, composer legend and composer scalebar.
Please test if this bug is still present for you.

Marco

#6 - 2008-12-07 11:31 AM - Maciej Sieczka -

- Status changed from Open to Closed

- Resolution set to fixed

The problem is gone for me too (QT 4.4.3). Closing it.

#7 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted

Files
